Subject: Re: [PATCH v2 00/19] Index-v5

From: Thomas Gummerer <[email-masked]>
Date: Wed, 17 Jul 2013 10:12:29 +0200

Duy Nguyen <[email-masked]> writes:

> On Mon, Jul 15, 2013 at 4:30 PM, Thomas Gummerer <[email-masked]> wrote:
>> Duy Nguyen <[email-masked]> writes:
>>
>>> On Sat, Jul 13, 2013 at 12:26 AM, Thomas Gummerer <[email-masked]> wrote:
>>>>  t/perf/p0003-index.sh                            |   59 +
>>>>  t/t2104-update-index-skip-worktree.sh            |    1 +
>>>
>>> For such a big code addition, the test part seems modest. Speaking
>>> from my experience, I rarely run perf tests and "make test" does not
>>> activate v5 code at all. A few more tests would be nice. The good news
>>> is I changed default index version to 5 and ran "make test", all
>>> passed.
>>
>> I was using the test suite with index version 5 as default index version
>> for testing of the new index file format.   I think that's the best way
>> to test the index, as it covers all aspects.
>
> We need other people to run the test suite with v5 to catch bugs that
> only appear on other platforms. Perhaps an env variable to allow the
> test suite to override the binary's default index version and a new
> make target "test-v5" maybe.

Ah ok, I understand.  I think it's best to add a GIT_INDEX_VERSION=x
config option to config.mak, where x is the index version that should be
tested.  This is also the way other test options are set
(e.g. NO_SVN_TESTS).  In addition this allows testing other versions of
the index file too.

>> Maybe we should add a test
>> that covers the basic functionality, just to make sure nothing obvious
>> is broken when running the test suite with index-v2?  Something like
>> this maybe:
>
> Yep. v5 specfic test cases can cover some corner cases that the rest
> of the test suite does not care. Haven't read your t1600 though.

Ok.  I can't think of any corner cases right now that would be in v5,
but not in other versions, but if I catch some I'll add tests.